from abc import ABC, abstractmethod

from cpl_query.extension import List


class FileScannerABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def scan_files(self) -> List[str]: pass
