class Dimension:

    def __init__(self, width: int, height: int):
        self._width = width
        self._height = height

    @property
    def width(self) -> int:
        return self._width

    @width.setter
    def width(self, value: int):
        self._width = value

    @property
    def height(self) -> int:
        return self._height

    @height.setter
    def height(self, value: int):
        self._height = value

    def __str__(self):
        return f'(w:{self._width}, h:{self._height})'

    def __repr__(self):
        return f'(w:{self._width}, h:{self._height})'
