from py_to_uxf_core.model.python_class import PythonClass


class ClassImplementation:

    def __init__(self, base: PythonClass, subclass: PythonClass):
        self._base = base
        self._subclass = subclass

    @property
    def base(self) -> PythonClass:
        return self._base

    @property
    def subclass(self) -> PythonClass:
        return self._subclass

    def __str__(self):
        return f'{self._subclass.name} -> {self._base.name}'

    def __repr__(self):
        return f'{self._subclass.name} -> {self._base.name}'
